.caissier-category-2 {

}
.caissier-2 {
  width: 100%;
}

.caissier-2__inner {
  display: flex;
  height: 100%;
}

.caissier-2__sidebare {
  width: 200px;
  background-color: #f0f8ff;
  box-shadow: 2px 0 2px #b6b4b38c;
}

.caissier-2__body {
  width: calc(100% - 200px);
}

.caissier-2__sidebar-header {
  padding: 10px;
  background-color: #d0e8fe;
  margin-bottom: 10px;
}

.caissier-2__sidebar-header-title {
  font-size: 0.9rem;
  font-family: "Exo-Bold", sans-serif;
  text-align: center;
  margin-bottom: 0px;
  color: #5e6867;
}

.box-current-sales__order-list {
  max-width: 100%;
  max-height: calc(100% - 90px);
  width: 100%;
  padding: 5px 10px;
  overflow: auto;
  
}

.box-current-sales__order-list::-webkit-scrollbar {
  width: 3px;
  height: 3px;
}

.box-current-sales__order-list::-webkit-scrollbar-thumb {
  width: 30%;
  height:3px;
  background-color: #8a8a8a !important;
  outline: none;
  border-radius: 6px;
}

.box-current-sales__order-list::-webkit-scrollbar-track {
  background-color: transparent;
}

.box-current-sales__order-list::-webkit-scrollbar-track-piece {
  width: 3px;
  background-color: #c6cada !important;
  border-radius: 5px;
  box-shadow: none;
  border: none;
}

.box-current-sales__order-item {
  display: flex;
  /*align-items: center;*/
  background-color: #fff; /*#e6e6e6*/
  cursor: pointer;
  box-shadow: 0 0 4px 1px #201d1d24;
  border: solid 2px #929292;
  margin-bottom: 5px;
  transition: all .3s ease-in;
}

.box-current-sales__order-item.box-current-sales__order-item--init {
  transform: translateX(-210px);
}

.box-current-sales__order-item:hover ,
.box-current-sales__order-item.selected {
  border-color: #f2972c;
}

.box-current-sales__order-item::after {
  content: "";
  position: absolute;
  display: block;
  border-top: solid 33.5px transparent;
  border-bottom: solid 33.5px transparent;
  border-left: solid 9.5px transparent;
  top: 0;
  right: -11px;
}

.box-current-sales__order-item.selected::after {
  border-left-color: #f2972c;
}

.box-current-sales__order-item-left {
  width: 60px;
  background-color: #fff;
  font-family: "Exo-Bold", sans-serif;
  box-shadow: 0 0 4px 3px #0101014a;
}


.box-current-sales__order-item-label {
  display: block;
  text-align: center;
  height: 25px;
  line-height: 20px;
  font-family: "Exo-Bold", sans-serif;
  font-size: 0.6rem;
  background-color: #929292; 
  color: #fff;
  padding: 3px;
}

.box-current-sales__order-item.selected .box-current-sales__order-item-label {
  background-color: #FF9800;
}

.box-current-sales__order-item-numMack {
  display: block;
  font-size: 0.9rem;
  font-weight: 900;
  text-align: center;
  padding: 3px 8px;
}

.box-current-sales__order-item-numVal {
  display: block;
  text-align: center;
  font-size: 1.5rem;
  color: #f2972c;
  height: 20px;
}

.box-current-sales__order-item-infos {
  width: calc(100% - 60px);
  padding:  3px ;
}

.box-current-sales__order-item-infos-row {
  display: flex;
  width: 100%;
  padding-left: 2px;
  line-height: 12px;
}

.box-current-sales__order-item-infos-row.box-current-sales__order-item-infos-row--name {
  flex-direction: column;
  padding-left: 0;
  border-bottom: solid 1px #ededed;
  margin-bottom: 5px;
}

.box-current-sales__order-item-infos-row-name {
  display: block;
  font-size: 0.8rem;
  font-family: "Exo-Medium", sans-serif;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.box-current-sales__order-item-infos-row-name>i {
  min-width: 15px;
  min-height: 15px;
  -webkit-mask-size: 15px 15px;
}

.box-current-sales__order-item-infos-row-role {
  font-size: 0.6rem;
  color: #918787;
  line-height: 8px;
  padding-left: 17px;
  margin-bottom: 2px;
}

.box-current-sales__order-item-infos-row-label {
  display: inline-block;
  width: 38px;
  font-size: 0.55rem;
  font-family: "Exo-Bold", sans-serif;
  color: #43413a;
}

.box-current-sales__order-item-infos-row-value {
  font-size: 0.65rem;
  font-family: "Exo-Bold", sans-serif;
  color: #335666;
}

.box-current-sales__order-list .cpn-empty-data {
  padding: 5px;
  font-size: 0.6rem;
  width: 100%;
}

.box-current-sales__order-list .cpn-empty-data>i {
  background-color: #ff9800;
}


/**===========Order-Control================**/
.order-control .ui-modal__body {
  padding: 0 !important;
}
.order-control__actors {
  display: flex;
  align-items: center;
  justify-content: space-around;
  border-top: solid 1px #bdbdbd;
  border-bottom: solid 1px #bdbdbd;
  padding: 5px 0;
}

.order-control__actors-item-row {
  display: flex;
  align-items: center;
  font-size: 0.7rem;
}

.order-control__actors-item-subtitle {
  font-size: 0.6rem;
  margin-left: 21px;
  line-height: 6px;
  color: #979595;
}
.order-control__actors-item-row > i {
  min-width: 14px;
  min-height: 14px;
  -webkit-mask-size: 14px 14px;
  margin-right: 5px;
}

.order-control__table {
  width: 100%;
  font-size: 0.78rem;
}

.order-control__table > thead {
  background-color: #dbe0f4;
}

.order-control__table > thead tr th {
  color: #414141;
  font-size: 0.78rem;
}

.order-control__table > tbody tr>td {
  line-height: 6px;
}

.order-control__table tr th ,
.order-control__table tr td {
  padding: 5px 8px 5px;
  border: solid 1px #424040;
  text-align: center;
}

.order-control__table > thead tr>th:nth-child(2),
.order-control__table > tbody tr>td:nth-child(2) {
   text-align: left;
}

.order-control__table > tbody tr>td:first-child {
  width: 30px;
}

.order-control__table > tbody tr>td:nth-child(4) {
  width: 70px;
}

.order-control__table > tbody tr>td:nth-child(4) {
  width: 60px;
}

.order-control__table > tbody tr>td:nth-child(4)> input {
  width: 60px;
  height: 30px;
  text-align: center;
  border: none;
}

.order-control__table > tbody tr>td:last-child {
  width: 40px;
}

.order-control__table-actions-btn[data-action="remove-product"] > i {
  background-color: #f44336;
}

.order-control__table-footer {
  padding: 8px 8px 0;
}

.order-control__table-footer-total-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 8px;
  font-family: "Exo-Bold", sans-serif;
  border-top: solid 1px #b3bcbf;
  border-bottom: solid 1px #b3bcbf;
}

.order-control__table-footer-total-row>.label {
  text-align: right;
  font-size: 1rem;
  width: calc(100% - 150px);
  color: #0f77ca;
  padding-right: 10px;
}

.order-control__table-footer-total-row>.value {
  width: 150px;
  padding-left: 8px;
  text-align: left;
  font-size: 0.8rem;
}

.order-control__table-footer-additional {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px 0;
}

.order-control__table-footer-additional-item {
  display: flex;
  align-items: center;
  font-size: 0.75rem;
  padding-right: 22px;
}

.order-control__table-footer-additional-item-label {
  display: flex;
  align-items: center;
}

.order-control__table-footer-additional-item-label > i {
  min-width: 14px;
  min-height: 14px;
  -webkit-mask-size: 14px 14px;
  margin-right: 5px;
}

.order-control__table-footer-additional-item-cancel-btn {
  position: absolute;
  right: 1px;
  height: 18px;
  top: calc(50% - 9px);
}

.order-control__table-footer-additional-item-cancel-btn > i {
  /*background-color: #ff0000;*/
}

.order-control__table-footer-additional-item-value {
  margin-left: 5px;
  font-family: "Exo-Bold", sans-serif;
  color: #607d8b;
}

.order-control__table-footer-additional-item-subtitle {
  position: absolute;
  bottom: -9px;
  left: 0px;
  font-size: 0.6rem;
  margin-left: 21px;
  line-height: 6px;
  color: #979595;
}

.order-control__actions {
  display: flex;
  align-items: center;
  padding: 8px 0;
}

.order-control__actions-search {
  width: 350px;
}

.order-control__actions-search .select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 35px;;
}

.order-control__actions-search .select2-container--default .selection {
  display: inline-block;
  width: 100%;
  height: 35px;
}

.order-control__actions-search .select2-container--default .select2-selection--single,
.order-control__actions-search .select2-container--default .select2-selection--multiple {
  min-height: 35px;
  border: 1px solid #26607b !important;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
}

.order-control__actions-search .select2-container--default .select2-selection--multiple .select2-selection__choice {
  width: Calc(50% - 10px);
  border-radius: 4px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  padding: 6px 20px 6px 8px;

}

.order-control__actions-search .select2-selection__choice__remove {
  display: flex !important;
  align-items: center;
  justify-content: center;
  width: 20px;
  height: 100%;
  top: 0;
  right: 0;
  border-radius: 0 4px 4px 0;
  margin: 0 !important;
}

.select2-results__option .opt-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px 0;
}


.select2-results__option .opt-row  .opt-row__price {
  font-size: 0.8rem;
  color: #607d8b
}

.select2-container--default .select2-results__option--highlighted[aria-selected] .opt-row  .opt-row__price {
  color: #e9fffd;
}

.order-control__actions-search-label {
  font-size: 0.76rem;
  color: #817b73;
  padding-left: 5px;
}

.order-control__actions-btn[data-action="add-product"] {
  margin-left: 3px;
  margin-top: 10px;
  background-color: #323232;
  color: #fff;
  width: 80px;
  padding: 8px;
}

.order-control__actions-btn[data-action="add-product"]:hover {
  background-color: #ff9800;
}

.order-control__actions-btn[data-action="open-barcode-scanner-field"]  {
  margin-left: 28px;
  margin-top: -40px;
}

.order-control__actions-btn[data-action="open-order-menu"]  {
 margin-left: auto;
}

.order-control .ui-modal__body {
  max-height: calc(100vh - 270px);
}


/* .caissier-category-2 .sale-section__footer {
  padding-top: 8px;
} */